<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

class SettingsClassWT extends SettingsClass
{
  public static function getPath()
  {
    return ConstantOperations::getPathForCoreSettings();
  }

  protected function getBasePath(): string
  {
    return self::getPath() . get_class($this);
  }

  
  public function save($pUri = '')
  {
    $uri = $this->getBasePath() . '.php';
    parent::save($uri);
  }

  public function saveJson($pUri = ''): void
  {
    $uri = $this->getBasePath() . '.json';
    parent::saveJson($uri);
  }
}